Linux Kernelの脆弱性情報(Important: CVE-2019-14835)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

09/17/2019にLinux Kernelの脆弱性情報(Important: CVE-2019-14835)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

CVE番号 影響するバージョン Priority CVSS Score / CVSS Vector
CVE-2019-14835 2.6.34 <= Linux Kernel < 5.3

Red Hat: Important

SuSE: CVSS 7.8/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:H

Red Hat: CVSS 7.2/CVSS:3.0/AV:L/AC:H/PR:H/UI:R/S:C/C:H/I:H/A:H

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-14835
    • QEMU-KVMゲスト特権ユーザによるホストユーザの権限昇格の可能性
    • Linux KernelのvirtqueueバッファーをIOVに変換するvhost関数にバッファーオーバーフローの脆弱性が見つかりました。特権を持つゲストOSユーザはこれを利用してホストでの権限を昇格させることができる可能性があります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。


セキュリティ系連載案内

セミナー情報1

2019/09/30(月) 19:00-21:00に「OSSセキュリティ技術の会 第六回勉強会(副題:大紅帽八連制覇の巻)」と題しまして、Red Hat Enterprise Linux 8のセキュリティに特化した話をさせて頂きます。

また、先日サンディエゴで開催されましたLinux Security Summit 2019の情報共有も行う予定です。

プログラム内容と申し込みの詳細につきましては、https://secureoss-sig.connpass.com/event/145125/をご覧下さい。

皆様の申込みをお待ちしております。


セミナー情報2

Red Hat Enterprise Linux 8 が発表され、今後のクラウドネイティブアプリケーションの基盤としてなくてはならないOSになると言われています。この重要なRHEL8を技術的に深堀りして、得た知見を共有するための場を用意したいと考え、「令和初のRHELを技術的に深堀りしましょう」としてイベントを行います。

前半はビジネス向けのTipsセミナーを行い、後半はネットワーキングとより深堀りしたディープな技術セッションを飲みながら会話をしながらお楽しみ頂けたらと考えております。

今後、このイベントはオープンにコミュニティーとして運用を行う予定です。 ぜひ皆様のご参加をお待ちしております。

こちらから申し込みが可能です。今後、このイベントはオープンにコミュニティーとして運用を行う予定です。 ぜひ皆様のご参加をお待ちしております。

セミナー情報3

コンピュータセキュリティシンポジウム2019(長崎)が2019年10月21日(月) ~ 10月24日(木)で開催されます。

こちらですが、OSSセキュリティ技術の会も後援になっており、オープンソースソフトウェア(OSS)セキュリティ技術トラック(略称:OWSトラック) も用意しております。


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

ka-omo@lu

前へ

phpMyadminの脆弱性情報(Medium: CVE-2019-12922)

次へ

Linux Kernelの脆弱性情報(Important: CVE-2019-14821)